Name:           perl-DateTime-Format-Natural
Version:        0.83
Release:        1%{?dist}
Summary:        Create machine readable date/time with natural parsing logic
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Format-Natural/
Source0:        http://www.cpan.org/authors/id/S/SC/SCHUBIGER/DateTime-Format-Natural-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(boolean)
BuildRequires:  perl(Date::Calc)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(Test::MockTime)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
DateTime::Format::Natural takes a string with a human readable date/time
and creates a machine readable one by applying natural parsing logic.

%prep
%setup -q -n DateTime-Format-Natural-%{version}
for f in Changes README; do
        iconv -f iso8859-1 -t utf-8 $f >$f.conf && mv $f.conf $f
done

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_bindir}/dateparse
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Thu Jan 14 2010 Iain Arnell <iarnell@gmail.com> 0.83-1
- update to latest upstream version

* Mon Jan 04 2010 Iain Arnell <iarnell@gmail.com> 0.82-1
- update to latest upstream version

* Wed Dec 09 2009 Iain Arnell <iarnell@gmail.com> 0.81-1
- update to latest upstream version

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.80-2
- rebuild against perl 5.10.1

* Fri Oct 30 2009 Iain Arnell <iarnell@gmail.com> 0.80-1
- update to latest upstream version

* Sun Sep 20 2009 Iain Arnell <iarnell@gmail.com> 0.79-1
- update to latest upstream version

* Sat Aug 29 2009 Iain Arnell <iarnell@gmail.com> 0.78-1
- update to latest upstream version

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.77-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 21 2009 Iain Arnell <iarnell@gmail.com> 0.77-1
- update to latest upstream version

* Sat Apr 11 2009 Iain Arnell <iarnell@gmail.com> 0.76-1
- update to latest upstream release

* Sat Feb 28 2009 Iain Arnell <iarnell@gmail.com> 0.75-1
- update to 0.75

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.74-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 21 2008 Iain Arnell <iarnell@gmail.com> 0.74-1
- update to 0.74

* Tue Nov 18 2008 Iain Arnell <iarnell@gmail.com> 0.73-1
- Specfile autogenerated by cpanspec 1.77.
